QBOOBMSG(1)

NAME
qboobmsg - send and receive message threads

SYNOPSIS
qboobmsg [-h] [-dqv] [-b backends] ...
qboobmsg [--help] [--version]

DESCRIPTION

Qt application allowing to read messages on various websites and reply to them.

  Supported websites:
* aum ("Adopte un Mec" French dating website)
* bnporc (BNP Paribas)
* bouygues (Bouygues Télécom French mobile phone provider)
* dlfp (Da Linux French Page news website)
* fourchan (4chan image board)
* guerrillamail (GuerrillaMail temp mailbox)
* hds (Histoires de Sexe French erotic novels)
* hellobank (Hello Bank!)
* inrocks (Les Inrocks French news website)
* lefigaro (Le Figaro French newspaper website)
* liberation (Libération newspaper website)
* mailinator (mailinator temp mailbox)
* minutes20 (2 Minutes French newspaper website)
* newsfeed (Loads RSS and Atom feeds from any website)
* okc (OkCupid dating website)
* orange (Orange French mobile phone provider)
* ovs (OnVaSortir website. Handles private messages only)
* phpbb (phpBB forum)
* presseurop (Presseurop website)
* sfr (SFR French mobile phone provider)
* taz (Taz newspaper website)
* tinder (Tinder dating mobile application)

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

-b BACKENDS, --backends=BACKENDS
    what backend(s) to enable (comma separated)

-e EXCLUDE_BACKENDS, --exclude-backends=EXCLUDE_BACKENDS
    what backend(s) to exclude (comma separated)

-I, --insecure
    do not validate SSL

LOGGING OPTIONS

-d, --debug
    display debug messages

-q, --quiet
    display only error messages

-v, --verbose
    display info messages

--logging-file=LOGGING_FILE
    file to save logs

-a, --save-responses
    save every response

CONDITION
The -c and --condition is a flexible way to sort and get only interesting results. It supports conditions on numerical values, dates, and strings. Dates are given in YYYY-MM-DD format. The syntax of one expression is "field operator value". The field to test is always the left member of the expression.

The field is a member of the objects returned by the command. For example, a bank account has "balance", "coming" or "label" fields.

  The following operators are supported:

=   Test if object.field is equal to the value.

!=  Test if object.field is not equal to the value.

>   Test if object.field is greater than the value. If object.field is date, return true if value is before that object.field.

<   Test if object.field is less than the value. If object.field is date, return true if value is after that object.field.

|   This operator is available only for string fields. It works like the Unix standard grep command, and returns True if the pattern specified in the value is in object.field.

  Expression combination
You can make a expression combinations with the keywords " AND " and " OR ".

  Examples:
boobank ls --condition 'label=Livret A'
Display only the "Livret A" account.

boobank ls --condition 'balance>10000'
Display accounts with a lot of money.

boobank history account@backend --condition 'label|rewe'
Get transactions containing "rewe".

boobank history account@backend --condition 'date>2013-12-01 AND date<2013-12-09'
Get transactions betweens the 2th December and 8th December 2013.

COPYRIGHT
Copyright(C) 2010-2011 Romain Bignon

For full COPYRIGHT see COPYING file with weboob package.

FILES
"~/.config/weboob/backends"

SEE ALSO
Home page: http://weboob.org/applications/qboobmsg